Bug 436315 - Unterminated #if in /etc/X11/xdm/Xresources [NEEDINFO]
Unterminated #if in /etc/X11/xdm/Xresources
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-xdm (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
: EasyFix, Reopened
: 458206 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 09:39 EST by David Howells
Modified: 2014-06-18 05:10 EDT (History)
7 users (show)

See Also:
Fixed In Version: 1.1.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (dhowells)


Attachments (Terms of Use)

  None (edit)
Description David Howells 2008-03-06 09:39:25 EST
Description of problem:

The error string:

<stdin>:30:1: error: unterminated #if

gets dumped into /var/log/kdm.log because /etc/X11/xdm/Xresources is missing 
an "#endif" to match "#if WIDTH > 800".

Version-Release number of selected component (if applicable):

xorg-x11-xdm-1.1.6-2.fc8
Comment 1 Patrice Dumas 2008-03-23 12:16:36 EDT
Looking at the ChangeLog, ot seems to be fixed in 1.1.7.
Comment 2 Matěj Cepl 2008-03-25 12:24:03 EDT
Thanks
Comment 3 Patrice Dumas 2008-08-07 07:15:28 EDT
Looks like this bug is still in  F-9, reopening.
Comment 4 Patrice Dumas 2008-08-07 07:16:03 EDT
*** Bug 458206 has been marked as a duplicate of this bug. ***
Comment 5 l ciani 2009-01-31 20:00:40 EST
This is fixed in F10 with xorg-x11-xdm-1.1.6-6.fc10 (maybe it was fixed in an earlier version of xdm)
Comment 6 MartinG 2009-04-22 08:39:09 EDT
I still see this in Fedora Rawhide. Here's my /var/log/kdm.log:

X.Org X Server 1.6.1
Release Date: 2009-4-14
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-128.1.6.el5xen x86_64
Current Operating System: Linux medusa 2.6.29.1-104.fc11.x86_64 #1 SMP Tue Apr 21 15:29:24 EDT 2009 x86_64
Build Date: 14 April 2009  05:04:11PM
Build ID: xorg-x11-server 1.6.1-1.fc11
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Apr 22 14:34:11 2009
(==) Using default built-in configuration (30 lines)
Setting master
SELinux: Disabled on system, not enabling in X server
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Type "ONE_LEVEL" has 1 levels, but <RALT> has 2 symbols
>                   Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server
/etc/X11/xdm/Xresources:30:1: error: unterminated #if



I have 
xorg-x11-xdm-1.1.6-7.fc11.x86_64
kdm-4.2.2-3.fc11.x86_64
Comment 7 Bug Zapper 2009-06-09 19:41:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Henrique Martins 2009-06-20 11:15:39 EDT
I see this in F11, today's (2009/06/20) updated xdm:
  xorg-x11-xdm-1.1.6-9.fc11.i586
Can we bump the version to F11 and have this fixed?  Seems this bug keeps showing up again and again...
Comment 9 Matěj Cepl 2009-06-23 14:09:06 EDT
Would any tips from https://fedoraproject.org/wiki/Common_F11_bugs#radeon-misc-gfx help?
Comment 10 Henrique Martins 2009-06-23 14:29:56 EDT
There's a #endif line missing in one of the files distributed with xdm.  This is a recurring problem that shows up every so often, gets fixed, shows up again.  No tips will help.  It is trivial to add the #endif line to the proper file, just annoying that it keeps disappearing.
Comment 11 Matěj Cepl 2009-06-24 04:46:52 EDT
(In reply to comment #10)
> There's a #endif line missing in one of the files distributed with xdm.  This
> is a recurring problem that shows up every so often, gets fixed, shows up
> again.  No tips will help.  It is trivial to add the #endif line to the proper
> file, just annoying that it keeps disappearing.  

Sorry, comment 9 was to the wrong tab. However, package is ready for updates, except it hasn't be pushed yet, so if you want it go to https://admin.fedoraproject.org/updates/xorg-x11-xdm-1.1.6-10.fc11 to fetch it. And if it works please make a comment there (well, if it doesn't make it as well :)).

Thank you very much for your patience
Comment 12 Bug Zapper 2009-07-14 14:20:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.